XMLResourceIdentifier (Xerces Native Interface)
Date: 2016-02-03

org.apache.xerces.xni

## Interface XMLResourceIdentifier

- All Known Subinterfaces:
    XMLDTDDescription, XMLGrammarDescription, XMLSchemaDescription

      public interface XMLResourceIdentifier

  This represents the basic physical description of the location of any XML resource (a Schema grammar, a DTD, a general entity etc.)

  Version:
    $Id: XMLResourceIdentifier.java 570132 2007-08-27 14:12:43Z mrglavas $
  Author:
    Neil Graham, IBM

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseSystemId()` Returns the base URI against which the literal SystemId is to be resolved.
    `java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
    `java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
    `java.lang.String` | `getNamespace()` Returns the namespace of the resource.
    `java.lang.String` | `getPublicId()` Returns the public identifier.
    `void` | `setBaseSystemId(java.lang.String systemId)` Sets the base URI against which the literal SystemId is to be resolved.
    `void` | `setExpandedSystemId(java.lang.String systemId)` Sets the expanded system identifier.
    `void` | `setLiteralSystemId(java.lang.String systemId)` Sets the literal system identifier.
    `void` | `setNamespace(java.lang.String namespace)` Sets the namespace of the resource.
    `void` | `setPublicId(java.lang.String publicId)` Sets the public identifier.

- - ### Method Detail

    - #### setPublicId

          void setPublicId(java.lang.String publicId)

      Sets the public identifier.

    - #### getPublicId

          java.lang.String getPublicId()

      Returns the public identifier.

    - #### setExpandedSystemId

          void setExpandedSystemId(java.lang.String systemId)

      Sets the expanded system identifier.

    - #### getExpandedSystemId

          java.lang.String getExpandedSystemId()

      Returns the expanded system identifier.

    - #### setLiteralSystemId

          void setLiteralSystemId(java.lang.String systemId)

      Sets the literal system identifier.

    - #### getLiteralSystemId

          java.lang.String getLiteralSystemId()

      Returns the literal system identifier.

    - #### setBaseSystemId

          void setBaseSystemId(java.lang.String systemId)

      Sets the base URI against which the literal SystemId is to be resolved.

    - #### getBaseSystemId

          java.lang.String getBaseSystemId()

      Returns the base URI against which the literal SystemId is to be resolved.

    - #### setNamespace

          void setNamespace(java.lang.String namespace)

      Sets the namespace of the resource.

    - #### getNamespace

          java.lang.String getNamespace()

      Returns the namespace of the resource.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.